Core - Bug # 40202

Task # 40095 (Resolved): Move core to namespaces

Status: Closed Priority: Should have
Author: Steffen Mller Category: Logging
Created: 2012-08-25 Assigned To:

Updated: 2012-08-26 Due date:

TYPOS3 Version: 6.0

PHP Version:

Complexity:

Is Regression:
Sprint Focus:

Subject:

Remove leading \ in namespaces of default TYPO3_CONF_VARS['LOG"]

Description

The new Logging API uses class names in TYPO3_CONF_VARS['LOG"].

Some of the new namespace are prefixed with \

'writerConfiguration' => array(

\TYPO3\CMS\Core\Log\LogLevel::DEBUG => array(
"TYPO3\CMS\\Core\\Log\\Writen\FileWriter' => array()

)
),

History

#1 - 2012-08-25 20:45 - Christian Kuhn

- Parent task set to #40095

#2 - 2012-08-26 01:50 - Ste

ffen Miller

- Assigned To deleted (Steffen Miiller)

Sorry, please close this nonsense. ;-)

#3 - 2012-08-26 01:52 - Thomas Maroschik

- Status changed from New

to Closed

In strings class names are always considered fully qualified. Thus the leading slash is not necessary there.

#4 - 2012-08-26 02:30 - Christian Kuhn
- % Done changed from 0 to 100
